package com.jeeplus.modules.sg.managementcenter.materialinfo.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

public class MaterialStandard extends DataEntity<MaterialStandard> {
    private String batch;            //批次
    private String bigClassification;           //大分类
    private String midClassification;         //中分类
    private String smallClassification;    //小分类
    private String materialCode;              //物料编码
    private String materialDescription;      //物料描述
    private String extendCode;        //扩展编码
    private String combinationCode;      //物料编码&扩展编码
    private String extendDescription;   //扩展描述
    private String unit;      //单位
    private String price;      //价格
    private String batchType;      //批次类型
    private String specificationId;      //电子商务平台技术规范书ID
    private String section;      //标段
    private String note;      //备注

    @ExcelField(title="批次", align=2, sort=1)
    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    @ExcelField(title="大分类", align=2, sort=2)
    public String getBigClassification() {
        return bigClassification;
    }

    public void setBigClassification(String bigClassification) {
        this.bigClassification = bigClassification;
    }

    @ExcelField(title="中分类", align=2, sort=3)
    public String getMidClassification() {
        return midClassification;
    }

    public void setMidClassification(String midClassification) {
        this.midClassification = midClassification;
    }

    @ExcelField(title="小分类", align=2, sort=4)
    public String getSmallClassification() {
        return smallClassification;
    }

    public void setSmallClassification(String smallClassification) {
        this.smallClassification = smallClassification;
    }

    @ExcelField(title="物料编码", align=2, sort=5)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title="物料描述", align=2, sort=6)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    @ExcelField(title="扩展编码", align=2, sort=7)
    public String getExtendCode() {
        return extendCode;
    }

    public void setExtendCode(String extendCode) {
        this.extendCode = extendCode;
    }

    @ExcelField(title="物料编码&扩展编码", align=2, sort=8)
    public String getCombinationCode() {
        return combinationCode;
    }

    public void setCombinationCode(String combinationCode) {
        this.combinationCode = combinationCode;
    }

    @ExcelField(title="扩展描述", align=2, sort=9)
    public String getExtendDescription() {
        return extendDescription;
    }

    public void setExtendDescription(String extendDescription) {
        this.extendDescription = extendDescription;
    }

    @ExcelField(title="单位", align=2, sort=10)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @ExcelField(title="价格", align=2, sort=11)
    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    @ExcelField(title="批次类型", align=2, sort=12)
    public String getBatchType() {
        return batchType;
    }

    public void setBatchType(String batchType) {
        this.batchType = batchType;
    }

    @ExcelField(title="电子商务平台技术规范书ID", align=2, sort=13)
    public String getSpecificationId() {
        return specificationId;
    }

    public void setSpecificationId(String specificationId) {
        this.specificationId = specificationId;
    }

    @ExcelField(title="标段", align=2, sort=14)
    public String getSection() {
        return section;
    }

    public void setSection(String section) {
        this.section = section;
    }

    @ExcelField(title="备注", align=2, sort=15)
    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}
